package com.fdkanfang.common.enums;

/**
 * @author abnerhou
 * @date 2020/5/6 8:23
 * @desciption
 */
public enum ResultCodeEnum {

    D3001(3001 , "缺少必要参数" , true),
    D3002(3002 , "token非法" , false),
    D3003(3003 , "APP ID 缺失" ,false),
    D3004(3004 , "入参数据缺失" , true),
    D3005(3005 , "权限不足", true),
    D3006(3006 , "非法的APP ID" , false),
    D3007(3007 , "时间超时" , true),
    D3008(3008 , "解析数据签名失败" , true),
    D3009(3009 , "数据已经被篡改" , true),
    D3010(3010 , "终端用户类型非法" , true),
    D3011(3011 , "非法的用户类型" , true),
    D3012(3012 , "用户不存在" , true),
    D3013(3013 , "微信登录返回信息缺失" , true),
    D3014(3014 , "获取微信token失败" , true),
    D3015(3015 , "微信二维码生成个数总和到达最大个数限制" , true),
    D3016(3016 , "获取微信二维码失败" , true),
    D3017(3017 , "用户ID缺失" , true),
    D3018(3018 , "token已失效，请重新登录" , true),
    D3019(3019 , "token非法" , true),
    D3020(3020 , "微信用户信息解密失败，请重新登录" , true),
    D3021(3021 , "该手机号已注册" , true),
    D3022(3022 , "微信返回数据签名校验失败" , true),
    D3023(3023 , "新增观众失败" , true),
    D3024(3024 , "新增im用户失败" , true),
    D3025(3025 , "讲解员不存在" , true),
    D3026(3026 , "openId不一致" , true),
    D3027(3027 , "解密讲解员手机号失败" , true),
    D3028(3028 , "没有有效的展会活动" , true),

    D100(3100 , "系统异常" , true),
    D101(3101 , "数据异常" , true),
    ;

    ResultCodeEnum(Integer code, String desc , Boolean canBeReplace) {
        this.code = code;
        this.desc = desc;
        this.canBeReplace = canBeReplace;
    }

    private Integer code;
    private String desc;
    private Boolean canBeReplace;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public Boolean getCanBeReplace() {
        return canBeReplace;
    }
}
